# Xapian::ExpandDeciderAnd Class Reference

An expand decision functor which can be used to join two functors with an AND operation. More...

`#include <expanddecider.h>`

Inheritance diagram for Xapian::ExpandDeciderAnd:

[legend]
Collaboration diagram for Xapian::ExpandDeciderAnd:

[legend]
List of all members.

## Public Member Functions

| ExpandDeciderAnd (const ExpandDecider *left_, const ExpandDecider *right_)
| Constructor, which takes as arguments the two decision functors to AND together.
virtual int | operator() (const std::string &tname) const
| Decide whether we want this term to be in the expand set.

## Detailed Description

An expand decision functor which can be used to join two functors with an AND operation.

## Constructor & Destructor Documentation

Xapian::ExpandDeciderAnd::ExpandDeciderAnd | ( | const ExpandDecider * | left_,
|  | const ExpandDecider * | right_
| ) |

| Constructor, which takes as arguments the two decision functors to AND together. ExpandDeciderAnd will not delete its sub-functors.

## Member Function Documentation

virtual int Xapian::ExpandDeciderAnd::operator() | ( | const std::string & | tname | ) | const`[virtual]`

| Decide whether we want this term to be in the expand set. Implements Xapian::ExpandDecider.

The documentation for this class was generated from the following file:

- include/xapian/expanddecider.h